const n = require("fs").readFileSync(0, "utf8").toString().trim().split('\n');
n.forEach(s => {
    let [a,b,c] = s.split(' ').map(Number);
    if(a===0 && b===0 && c===0) return;
    else{
        let sum = a + b + c - Math.max(a,b,c);
        if(sum<=Math.max(a,b,c)) console.log("Invalid");
        else if(a===b && a===c) console.log("Equilateral");
        else if(a===b || a===c || b===c) console.log("Isosceles");
        else console.log("Scalene");
    }
});